python安装lxml,在windows环境下

windows环境下真是折腾。

直接pip install lxml,会报错,

看提示:“make sure the development packages of libxml2 and libxslt are installed” 意识到有依赖,

于是就pip install libxml2..结果就懵逼了 = =,原来不是Python库。

Collecting libxml2
  Could not find a version that satisfies the requirement libxml2 (from versions: )
No matching distribution found for libxml2

翻了好久,左拐又拐,各种尝试,最后才发现这个地址http://lxml.de/installation.html ,官方安装说明,

You need Python 2.6 or later.

libxml2 version 2.7.0 or later.

libxslt version 1.1.23 or later.

在linux下安装的过程跳过,可以参考文档说明

在windows下,建议是直接使用二进制文件安装。

unofficial Windows binaries:http://www.lfd.uci.edu/~gohlke/pythonlibs/#lxml

随便下了一个,在pip install *whl 失败!提示说平台不支持,又蒙了

 is not a supported wheel on this platform

原来,lxml-3.4.4-cp34-none-win32.whl ,cp34对应不同的Python版本支持,需要查看自己的Python版本支持情况:

import pip; print(pip.pep425tags.get_supported())

Python 3.4.3 (v3.4.3:9b73f1c3e601, Feb 24 2015, 22:43:06) [MSC v.1600 32 bit (In
Type "help", "copyright", "credits" or "license" for more information.
>>> import pip; print(pip.pep425tags.get_supported())
[('cp34', 'none', 'win32'), ('py3', 'none', 'win32'), ('cp34', 'none', 'any'), (
e', 'any'), ('cp32', 'none', 'any'), ('cp31', 'none', 'any'), ('cp30', 'none', '
3', 'none', 'any'), ('py33', 'none', 'any'), ('py32', 'none', 'any'), ('py31', '
')]

显然,用cp34-none-win32才可以

pip install lxml-3.4.4-cp34-none-win32.whl

windows环境下成功安装lxml。

Processing d:\order\lxml-3.4.4-cp34-none-win32.whl
Installing collected packages: lxml
Successfully installed lxml-3.4.4

最终是成功解决了,但是这个过程却有些意外,有必要记录一下,也算是涨经验了。


没有更多推荐了,返回首页